查看: 220|回复: 1

[iOS常见问题] QQ空间享问题

[复制链接]

Rank: 1

主题:
帖子:
积分:
0

[iOS常见问题] QQ空间享问题

[复制链接]
220 1 | 发表于 2017-5-18 15:57:36 |阅读模式 | |

error ===Error Domain=ShareSDKErrorDomain Code=204 "(null)" UserInfo={error_message=当前QQ版本太低,需要更新至新版本才可以支持!}版本太低??我是最新版本好么。。。

Rank: 5Rank: 5

主题:
帖子:
积分:
0
发表于 2017-5-18 16:04:24 |
这个问题是白名单没配置全导致的
必须实现的两个配置(ios9 以上 ), 主要根据xcode输出判断
1,URL scheme 比如尚未配置微信URL Scheme:wx806574  按照教程在plist文件中配置对应的appkey http://bbs.mob.com/thread-567-1-1.html
在URL Types中添加QQ的AppID,其格式为:”QQ” + AppId的16进制(如果appId转换的16进制数不够8位则在前面补0,如转换的是:5FB8B52,则最终填入为:QQ05FB8B52 注意:转换后的字母要大写) 转换16进制的方法
2,
完成下面的两个步骤,请您仔细阅读
1,真机测试,真机安装客户端
2, 白名单 xcode 只要输出的字样 This app is not allowed to query for scheme xxxxxxxx 说明缺少 xxxxxxxx 这个关键字  http://wiki.mob.com/ios9-%E5%AF% ... %E8%AF%BB%EF%BC%89/
按照此文档  【第三条】 添加 没有这个字段的自己添加就可以, 没有图中的字段可以自己添加
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

技术支持
免费咨询 | 24小时在线
快速回复 返回顶部 返回列表